From 962bfe23a3b3b2c255555377015e6e97522832bb Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Mar 06 2016 03:45:25 +0000
Subject: [PATCH 303/1001] Add markdown info from meetings API.


---

diff --git a/hubs/utils.py b/hubs/utils.py
index f7f9e84..6eb43b7 100644
--- a/hubs/utils.py
+++ b/hubs/utils.py
@@ -2,6 +2,7 @@ import logging
 from hashlib import sha256
 
 import arrow
+import markdown
 import requests
 
 from six.moves.urllib_parse import urlencode
@@ -9,6 +10,11 @@ from six.moves.urllib_parse import urlencode
 log = logging.getLogger(__name__)
 
 
+def markup(text):
+    return markdown.markdown(text, safe_mode="replace",
+                             html_replacement_text="--RAW HTML NOT ALLOWED--")
+
+
 def username2avatar(username, s=312):
     query = urlencode({
         'd': 'retro',
diff --git a/hubs/widgets/meetings.py b/hubs/widgets/meetings.py
index 2ba21e6..1dfd8ec 100644
--- a/hubs/widgets/meetings.py
+++ b/hubs/widgets/meetings.py
@@ -3,6 +3,7 @@ from hubs.widgets.base import argument
 from hubs.widgets.chrome import panel
 
 from hubs import validators
+from hubs import utils
 
 import arrow
 import collections
@@ -43,7 +44,8 @@ template = jinja2_environment.from_string("""
         <h1 class='inline'>{{next.start_date}}</h1>
         <div class='inline'>
             @{{next.start_time}}<br/>
-            {{next.location}}
+            {{next.location}}<br/>
+            {{next.meeting_information_html}}
         </div>
         {% endif %}
         {% if meetings | length > 1 %}
@@ -65,6 +67,8 @@ def data(session, widget, calendar):
 
     meetings = collections.defaultdict(list)
     for meeting in response['meetings']:
+        meeting['meeting_information_html'] = utils.markup(
+            meeting['meeting_information'])
         meetings[meeting['meeting_name']].append(meeting)
 
     return dict(meetings=dict(meetings))
